.chat--outer-container {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	background-color: #1a1a1d;
}

.chat--container {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	background: #ffffff;
	border-radius: 8px;
	height: 60%;
	width: 35%;
}

@media (min-width: 320px) and (max-width: 480px) {
	.chat--outer-ontainer {
		height: 100%;
	}

	.chat--container {
		width: 100%;
		height: 100%;
	}
}

@media (min-width: 480px) and (max-width: 1200px) {
	.container {
		width: 60%;
	}
}

.chat--info-bar {
	display: flex;
	align-items: center;
	justify-content: space-between;
	background: #2979ff;
	border-radius: 4px 4px 0 0;
	height: 60px;
	width: 100%;
}

.chat--left-inner-container {
	flex: 0.5;
	display: flex;
	align-items: center;
	margin-left: 5%;
	color: white;
}

.chat--right-inner-container {
	display: flex;
	flex: 0.5;
	justify-content: flex-end;
	margin-right: 5%;
}

.chat--online-icon {
	margin-right: 5%;
}

.form {
	display: flex;
	border-top: 2px solid #d3d3d3;
}

.input {
	border: none;
	border-radius: 0;
	padding: 5%;
	width: 80%;
	font-size: 1.2em;
}

input:focus,
textarea:focus,
select:focus {
	outline: none;
}

.sendButton {
	color: #fff !important;
	text-transform: uppercase;
	text-decoration: none;
	background: #2979ff;
	padding: 20px;
	display: inline-block;
	border: none;
	width: 20%;
}

.messages {
	padding: 5% 0;
	overflow: auto;
	flex: auto;

	.message-box {
		background: #f3f3f3;
		border-radius: 20px;
		padding: 5px 20px;
		color: white;
		display: inline-block;
		max-width: 80%;
	}

	.message-text {
		width: 100%;
		letter-spacing: 0;
		float: left;
		font-size: 1.1em;
		word-wrap: break-word;

		img {
			vertical-align: middle;
		}
	}

	.message-container {
		display: flex;
		justify-content: flex-end;
		padding: 0 5%;
		margin-top: 3px;
	}

	.sent-text {
		display: flex;
		align-items: center;
		font-family: Helvetica;
		color: #828282;
		letter-spacing: 0.3px;
	}

	.pl-10 {
		padding-left: 10px;
	}

	.pr-10 {
		padding-right: 10px;
	}

	.justify-start {
		justify-content: flex-start;
	}

	.justify-end {
		justify-content: flex-end;
	}

	.color-white {
		color: white;
	}

	.color-dark {
		color: #353535;
	}

	.background-blue {
		background: #2979ff;
	}

	.background-light {
		background: #f3f3f3;
	}
}
